package checkboxsimpleapp;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.control.ToggleButton;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 *
 * @author alexandr_kirov
 */
public class Main extends Application{

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
        VBox vb = new VBox();
        CheckBox cb = new CheckBox("Tested check box");

        ToggleButton allowIndeterminate = new ToggleButton("Allow indeterminate");
        ToggleButton indeterminate = new ToggleButton("Indeterminate");
        ToggleButton selected = new ToggleButton("Selected");

        allowIndeterminate.selectedProperty().bindBidirectional(cb.allowIndeterminateProperty());
        indeterminate.selectedProperty().bindBidirectional(cb.indeterminateProperty());
        selected.selectedProperty().bindBidirectional(cb.selectedProperty());

        vb.getChildren().addAll(cb, allowIndeterminate, indeterminate, selected);

        Scene scene = new Scene(vb, 300, 300);
        stage.setScene(scene);
        stage.show();
    }

}
