package checkboxsimpleapp;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Slider;
import javafx.scene.control.SliderBuilder;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleButton;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

/**
 *
 * @author alexandr_kirov
 */
public class Main2 extends Application{

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
        VBox vb = new VBox();
        CheckBox cb = new CheckBox("This is checkBox");

        TextField tf = new TextField("This is checkBox");
        Slider s = SliderBuilder.create().min(0).max(150).value(50).showTickLabels(true).showTickMarks(true).build();
        ToggleButton tb = new ToggleButton("Wrap text");
        
        tf.textProperty().bindBidirectional(cb.textProperty());
        s.valueProperty().bindBidirectional(cb.prefWidthProperty());
        tb.selectedProperty().bindBidirectional(cb.wrapTextProperty());
        
        tb.setSelected(true);

        vb.getChildren().addAll(cb, tf, s, tb);

        Scene scene = new Scene(vb, 300, 300);
        stage.setScene(scene);
        stage.show();
    }
}
